When changes are made to your contacts (by updating, adding or deleting them) through a file import or the bulk API, some exports will be automatically triggered in Engage. If you don’t want this to happen, you can use the attribute avoidTriggeringExport. Setting this to “true” will suppress both the automatic BI and contact XML exports.
The default for avoidTriggeringExport is “false” which means that BI and contact XML exports will be triggerred by changes made to your contacts. You will only need to include it (as “true”) if you don’t want these BI and contact XML exports to be triggered.
This setting was previously known as “silent export”.
For XML
For an XML import, avoidTriggeringExport is handled as an attribute in the top-level <contacts> node:
<?xml version="1.0" encoding="utf-8"?>
<contacts xmlns="http://eClub.Schemas.ImportContact" avoidTriggeringExport="true">
<new>
<member>
<contactId/>
<infobaleenEmailCampaign/>
</member>
</new>
</contacts>
For bulk API
When using the contact bulk API, avoidTriggeringExport is passed in the query string:
GET /api/v3/contacts/bulk?avoidTriggeringExport=true&contactType=Contact
Constraints
For the avoidTriggeringExport setting to work, your file can only consist of a contactType key (such as “member”) and fields that are not on the standard contact fields list.
See the standard contact fields list
If avoidTriggeringExport is set to “true” and your import / update contains standard contact attributes that are not keys (such as FirstName or Email), your import will fail and an error will be written to the integration log.
If an import is done with only keys and standard contact attributes, but avoidTriggeringExport is false or missing, exports will then be triggered and entries added to “changelog” and “lastmodified”.
The avoidTriggeringExport flag can’t be combined with either of the ImportSettings InsertNewContacts and ShouldDefaultSetIsApprovedAsTrue.